import type * as monaco from 'monaco-editor';
import type * as ls from 'vscode-languageserver-types';
/**
 * Convert a Monaco editor code action to an LSP code action.
 *
 * @param codeAction The Monaco code action to convert.
 * @returns The code action as an LSP code action.
 */
export declare function fromCodeAction(codeAction: monaco.languages.CodeAction): ls.CodeAction;
/**
 * Convert an LSP code action to a Monaco editor code action.
 *
 * @param codeAction The LSP code action to convert.
 * @param Uri The Monaco Uri constructor.
 * @returns The code action as Monaco editor code action.
 */
export declare function toCodeAction(codeAction: ls.CodeAction, Uri: typeof monaco.Uri): monaco.languages.CodeAction;
