import type * as monaco from 'monaco-editor';
import type * as ls from 'vscode-languageserver-types';
/**
 * Convert a Monaco editor marker data to an LSP diagnostic.
 *
 * @param markerData The Monaco marker data to convert.
 * @returns The marker data as an LSP diagnostic.
 */
export declare function fromMarkerData(markerData: monaco.editor.IMarkerData): ls.Diagnostic;
/**
 * Convert an LSP diagnostic to a Monaco editor marker data.
 *
 * **Note**: A default severity of {@link monaco.MarkerSeverity.Error} is used.
 *
 * @param diagnostic The LSP diagnostic to convert.
 * @param Uri The Monaco Uri constructor.
 * @returns The diagnostic as Monaco editor marker data.
 */
export declare function toMarkerData(diagnostic: ls.Diagnostic, Uri: typeof monaco.Uri): monaco.editor.IMarkerData;
